Subject: Re: bug#34114: 27.0.50: pdumper and themes with Emacs daemon

From: Karl Otness <[email-masked]>
Date: Fri, 18 Jan 2019 23:02:14 +0000

I think I have found a change that fixes this issue. I haven't tested
it too thoroughly, but it seems to work for me. The change is to call
init_faces_initial from init_display_interactive even when Emacs is
running as daemon.

In init_display_interactive in dispnew.c moving the lines:

> /* Set up faces of the initial terminal frame.  */
> if (!noninteractive && NILP (Vinitial_window_system))
>   init_faces_initial ();

from the end of the function so that they occur before the early
return in the IS_DAEMON check (around line 6039) seems to fix the
theme loading problem.

Thanks,
Karl